<?php
defined('CONF_URL_APP') or die;

class Album extends ItemModel
{
	protected $dbt_const = "DBT_MUSICA_ALBUMS";
	protected $dbt = "musica_artistas_albums";
	
	protected $ext_folder = "ext_musica";
	protected $ext_vista_categoria = "albums";
	protected $ext_vista_item = "album";
	
	protected $ext_item_class = "Album";
	protected $ext_categoria_class = "EstiloMusica";
	protected $ext_item_campoextra_class = "";
	
	protected $all_vars = array("id","titulo","alias","contenido","fecha","fecha_publicacion","estado","imagen_destacada","categorias","creador","creador_alias","propietario","params","tags","idioma","latitud","longitud","acceso","artista","id_original","location");
	
	protected $idx_vars = array("id");
	protected $update_vars = array("titulo","alias","contenido","fecha_publicacion","estado","imagen_destacada","categorias","creador","creador_alias","propietario","params","tags","idioma","latitud","longitud","acceso","artista","id_original","location");
	
	protected $ignore_vars = array("dbt_const","dbt","ext_folder","ext_vista_categoria","ext_vista_item","ext_item_class","ext_categoria_class","ext_item_campoextra_class","idx_vars","update_vars","ignore_vars","campos_multilang","campos_array");
	
	protected $campos_multilang = array("titulo","alias","contenido");
	protected $campos_array = array("params","categorias");
	
	function __construct(){
		parent::__construct();
	}
	
	function includes(){
		c_include('loc/region','loc/provincia','loc/localidad','loc/pais');
		e_include('ext_musica/class/estiloMusica','ext_musica/class/artista','ext_musica/class/album','ext_musica/class/pistaAlbum');
	}
	
    function getartista($print=false,$object=false)
    {
		if($print==false){
			if ($object == true){
				e_include('ext_musica/class/artista');
				$c=$this->artista;
				$artista = new Artista();
				$artista->setid($c);
				if ($artista = $artista->BuscarId()){
					return $artista;
				} else {
					return false;
				}
			} else {
       			return $this->artista;
			}
		} else {
			e_include('ext_musica/class/artista');
			$c=$this->artista;
			$artista = new Artista();
			$artista->setid($c);
			if ($artista = $artista->BuscarId()){
				return SistemaIdioma::Imprimir($artista->titulo);
			} else {
				return '';
			}
		}
    }
	
	function getPistasAlbum(){
		if (!empty($this->id)){
			if (!is_array($this->pistas_album) || sizeof($this->pistas_album) == 0){
				$pistas_album = new PistaAlbum();
				
				$pistas_album_c = $pistas_album->ListarCount("estado='1' AND album='".$this->id."'", "orden", "ASC");
				
				if ($pistas_album_c > 0){
					$pistas_album = $pistas_album->Listar("estado='1' AND album='".$this->id."'", "orden", "ASC");
					
					$this->pistas_album = $pistas_album;
					
					return $this->pistas_album;
				} else {
					return array();
				}
			} else {
				return $this->pistas_album;
			}
		}
	}
}
?>