<?php
c_include('api/apiAdaptador');

/**
 * Musica Api Adapter class for the Mideas Framework.
 *
 * @package		Mideas.Framework
 * @subpackage	Api
 * @since		1.0
 */
class MusicaApiAdaptador extends ApiAdaptador
{
	protected $extension = 'musica';
	protected $carpeta = 'ext_musica';
	
	protected $elementos_permitidos = array("artista","album");
	
	protected $campos_ignorados_nuevo = array("id","fecha","numero_valoraciones","media_valoracion","visitas");
	protected $campos_multilang = array("titulo","contenido","lugar");
	
	public function __construct($elemento, $accion){
		parent::__construct($elemento, $accion);
		$this->mensajes = array("nuevo_ok"=>__("Se ha creado el artista. Haz click <a href='%s'>aquí</a> para ver el nuevo artista."), "nuevo_ko"=>__("Se ha producido un error al intentar crear el artista"), "editar_ok"=>__("Se ha modificado el artista. Haz click <a href='%s'>aquí</a> para visitar la página del artista."));
	}
	
	function getPlaylist(){
		if (empty($this->accion) || $this->accion != 'playlist' || empty($this->elemento) || $this->elemento != 'album')
            return $this->error(__('Error de formato'));
			
		e_include('ext_musica/class/album');
		
		$playlist = array();
		
		$albums = new Album();
		
		if ($_POST['all'] == 'true'){
			$albums_c = $albums->ListarCount('estado="1"');
			if ($albums_c > 0){
				$albums = $albums->Listar('estado="1"', "fecha", "DESC");
				foreach ($albums as $album){
					$pistas_album = $album->getPistasAlbum();
					$artista_album = $album->getartista(true,true);
					
					if (is_array($pistas_album) && sizeof($pistas_album) > 0){
						foreach ($pistas_album as $pista){
							if (!empty($pista->url)){
								$playlist[] = array("id"=>$pista->id, "album"=>SistemaIdioma::Imprimir($album->titulo), "album_id"=>$album->id, "title"=>SistemaIdioma::Imprimir($pista->titulo), "mp3"=>$pista->url, "orden"=>$pista->orden, "artista"=>$artista_album->titulo_formateado, "artista_id"=>$artista_album->id);
							}
						}
					}
				}
				
			} else {
				return $this->error(__('No hay ningún album en la base de datos'));
			}
		}
		
		if (!is_array($playlist) || sizeof($playlist) == 0)
			return $this->error(__('No hay pistas en la playlist'));
		
		return $this->arrResp(__('Playlist recuperada con éxito'), $playlist);
	}
}