<?php
defined('CONF_URL_APP') or die;

class Artista extends ItemModel
{
	protected $dbt_const = "DBT_MUSICA_ARTISTAS";
	protected $dbt = "musica_artistas";
	
	protected $ext_folder = "ext_musica";
	protected $ext_vista_categoria = "estilo_musica";
	protected $ext_vista_item = "artista";
	
	protected $ext_item_class = "Artista";
	protected $ext_categoria_class = "EstiloMusica";
	protected $ext_item_campoextra_class = "ArtistaCampoExtra";
	
	protected $all_vars = array("id","titulo","alias","contenido","fecha","fecha_publicacion","estado","imagen_destacada","categorias","creador","creador_alias","propietario","params","tags","idioma","lugar","direccion","codigo_postal","localidad","provincia","pais","latitud","longitud","location","acceso","id_original");
	
	protected $idx_vars = array("id");
	protected $update_vars = array("titulo","alias","contenido","fecha_publicacion","estado","imagen_destacada","categorias","creador","creador_alias","propietario","params","tags","idioma","lugar","direccion","codigo_postal","localidad","provincia","pais","latitud","longitud","location","acceso","id_original");
	
	protected $campos_multilang = array("titulo","alias","contenido","lugar");
	protected $campos_array = array("params","categorias");
	
	function __construct(){
		parent::__construct();
	}
	
	function includes(){
		c_include('loc/region','loc/provincia','loc/localidad','loc/pais');
		e_include('ext_musica/class/estiloMusica','ext_musica/class/album');
	}
	
	function getAlbums($solo_activos=true, $where='', $orden='', $ordenDir='', $limit1=0, $limit2=0){
		e_include('ext_musica/class/album');
		
		if (!empty($where)){
			$where .= ' AND artista='.$this->id;
			if ($solo_activos == true){
				$where .= ' AND estado=1';
			}
		} else {
			$where = 'artista='.$this->id;
			if ($solo_activos == true){
				$where .= ' AND estado=1';
			}
			
		}
		
		$albums = new Album();
		$albums_count = $albums->ListarCount($where, $orden, $ordenDir);
		if ($albums_count > 0){
			$albums = $albums->Listar($where, $orden, $ordenDir);
			
			$arr_albums = array();
			
			$tmp_id = trim($this->id);
			
			foreach ($albums as $alb){
				$arr_albums[] = $alb;
			}
			
			if ($limit2 > 0){
				$arr_albums = array_slice($arr_albums, $limit1, $limit2);
			}
			
			if (empty($arr_albums))
				return false;
			else
				return $arr_albums;
		} else {
			return false;
		}
	}


	public static function get_num_artistas($filtro=''){
		$num_art = new self();
		
		$num_art = $num_art->ListarCount($filtro);
		
		return $num_art;
	}
	
}
?>