<?php
defined('CONF_URL_APP') or die;

class EstiloMusica extends CatModel
{
	protected $dbt_const = "DBT_MUSICA_ESTILOS_MUSICA";
	protected $dbt = "musica_estilos_musica";
	
	protected $ext_folder = "ext_musica";
	protected $ext_vista_categoria = "estilo_musica";
	protected $ext_vista_item = "artista";
	
	protected $ext_item_class = "Artista";
	protected $ext_categoria_class = "EstiloMusica";
	protected $ext_categoria_campoextra_class = "";
	
	protected $idx_vars = array("id");
	protected $update_vars = array("nombre","alias","contenido","estado","padre","creador","creador_alias","imagen_destacada","icono","params","idioma");
	
	protected $ignore_vars = array("dbt_const","dbt","ext_folder","ext_vista_categoria","ext_vista_item","ext_item_class","ext_categoria_class","ext_categoria_campoextra_class","idx_vars","update_vars","ignore_vars");
	
	function __construct(){
		parent::__construct();
	}
	
	function includes(){
		e_include('ext_musica/class/artista','ext_musica/class/album');
	}
	
	function getAlbums($solo_activos=true, $where='', $orden='', $ordenDir='', $limit1=0, $limit2=0, $lang, $incluir_subcategorias=false, $generar_info_items=true){
		if (empty($lang))
			$lang = SistemaIdioma::getIdiomaSesion();
			
		if (!empty($where)){
			if ($solo_activos == true){
				$where .= ' AND estado=1 AND fecha_publicacion < "'.strftime("%Y-%m-%d %H:%M:%S", time()).'"';
			}
		} else {
			if ($solo_activos == true){
				$where = 'estado=1 AND fecha_publicacion < "'.strftime("%Y-%m-%d %H:%M:%S", time()).'"';
			}
		}
		
		if (!empty($where)){
			$cats_filter = " AND (categorias LIKE '%\"".$this->id."\"%'";
		} else {
			$cats_filter = "(categorias LIKE '%\"".$this->id."\"%'";
		}
		if ($incluir_subcategorias == true){
			$subcats = new EstiloMusica();
			
			$subcats_c = $subcats->ListarCount("estado=1 AND padre LIKE '%\"".$this->id."\"%'", 0, 0, $lang);
			
			if($subcats_c > 0){
				$subcats = $subcats->Listar("estado=1 AND padre LIKE '%\"".$this->id."\"%'", 0, 0, $lang);
				foreach ($subcats as $s){
					$cats_filter .= " OR categorias LIKE '%\"".$s->id."\"%'";
				}
			}
		}
		$cats_filter .= ')';
		
		$items = new Album();
		$items_count = $items->ListarCount($where.$cats_filter, $orden, $ordenDir, 0, 0, $lang);
		if ($items_count > 0){
			$items = $items->Listar($where.$cats_filter, $orden, $ordenDir, $limit1, $limit2, $lang, $generar_info_items);
			
			if (!is_array($items) || sizeof($items) == 0)
				return false;
			else
				return $items;
		} else {
			return false;
		}
	}
}
?>