SET FOREIGN_KEY_CHECKS=0;

-- --------------------------------------------------------

-- 
-- Estructura de tabla para la tabla `#__musica_artistas`
-- 

DROP TABLE IF EXISTS `#__musica_artistas`;
CREATE TABLE IF NOT EXISTS `#__musica_artistas` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `titulo` varchar(250) NOT NULL DEFAULT '',
  `alias` varchar(250) NOT NULL,
  `contenido` text NOT NULL,
  `imagen_destacada` text NOT NULL,
  `fecha` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `fecha_publicacion` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `estado` int(1) NOT NULL DEFAULT '1',
  `categorias` text NOT NULL,
  `params` text NOT NULL,
  `creador` int(11) NOT NULL,
  `creador_alias` varchar(250) NOT NULL DEFAULT '',
  `propietario` int(11) NOT NULL DEFAULT '0',
  `lugar` text NOT NULL,
  `direccion` text NOT NULL,
  `codigo_postal` text NOT NULL,
  `pais` varchar(2) NOT NULL,
  `provincia` int(11) NOT NULL,
  `localidad` int(11) NOT NULL,
  `idioma` varchar(2) NOT NULL,
  `latitud` text NOT NULL,
  `longitud` text NOT NULL,
  `acceso` int(11) NOT NULL DEFAULT '0',
  `tags` text NOT NULL,
  `id_original` int(11) NOT NULL DEFAULT '0',
  `location` point NOT NULL,
  PRIMARY KEY (`id`),
  SPATIAL KEY `location` (`location`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

-- 
-- Estructura de tabla para la tabla `#__musica_artistas_albums`
-- 

DROP TABLE IF EXISTS `#__musica_artistas_albums`;
CREATE TABLE IF NOT EXISTS `#__musica_artistas_albums` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `titulo` text NOT NULL,
  `alias` text NOT NULL,
  `texto_corto` text NOT NULL,
  `contenido` text NOT NULL,
  `fecha` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `fecha_publicacion` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `orden` int(5) NOT NULL DEFAULT '0',
  `estado` int(1) NOT NULL DEFAULT '1',
  `categorias` text NOT NULL,
  `imagen_destacada` text NOT NULL,
  `tags` text NOT NULL,
  `artista` int(11) NOT NULL,
  `creador` int(11) NOT NULL,
  `creador_alias` varchar(250) NOT NULL DEFAULT '',
  `propietario` int(11) NOT NULL DEFAULT '0',
  `params` text NOT NULL,
  `idioma` varchar(5) NOT NULL,
  `acceso` int(1) NOT NULL DEFAULT '0',
  `latitud` text NOT NULL,
  `longitud` text NOT NULL,
  `id_original` int(11) NOT NULL DEFAULT '0',
  `location` point NOT NULL,
  PRIMARY KEY (`id`),
  SPATIAL KEY `location` (`location`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 PACK_KEYS=0 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

-- 
-- Estructura de tabla para la tabla `#__musica_artistas_albums_pistas`
-- 

DROP TABLE IF EXISTS `#__musica_artistas_albums_pistas`;
CREATE TABLE IF NOT EXISTS `#__musica_artistas_albums_pistas` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `titulo` text NOT NULL,
  `url` text NOT NULL,
  `contenido` text NOT NULL,
  `fecha` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `estado` int(1) NOT NULL DEFAULT '1',
  `album` int(11) NOT NULL,
  `creador` int(11) NOT NULL,
  `creador_alias` varchar(250) NOT NULL DEFAULT '',
  `orden` int(5) NOT NULL,
  `duracion` text NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

-- 
-- Estructura de tabla para la tabla `#__musica_estilos_musica`
-- 

DROP TABLE IF EXISTS `#__musica_estilos_musica`;
CREATE TABLE IF NOT EXISTS `#__musica_estilos_musica` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `nombre` varchar(250) NOT NULL DEFAULT '',
  `alias` varchar(250) NOT NULL,
  `contenido` text NOT NULL,
  `fecha` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `estado` int(1) NOT NULL DEFAULT '1',
  `padre` varchar(250) NOT NULL DEFAULT '',
  `creador` int(11) NOT NULL,
  `creador_alias` varchar(250) NOT NULL DEFAULT '',
  `params` text,
  `imagen_destacada` text NOT NULL,
  `icono` text NOT NULL,
  `idioma` varchar(5) NOT NULL,
  `acceso` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=16 DEFAULT CHARSET=utf8 ;

-- --------------------------------------------------------

INSERT INTO `#__musica_estilos_musica` (`id`, `nombre`, `alias`, `contenido`, `fecha`, `estado`, `padre`, `creador`, `creador_alias`, `imagen_destacada`, `icono`, `params`, `idioma`, `acceso`) VALUES (1, '{"es":"Ska","en":"Ska"}', '{"es":"Ska","en":"Ska"}', '{"es":"","en":""}', '', 1, '[""]', 0, '', '', '', '{"estilo":"","hijos_heredan_estilo":""}', '', 0);
INSERT INTO `#__musica_estilos_musica` (`id`, `nombre`, `alias`, `contenido`, `fecha`, `estado`, `padre`, `creador`, `creador_alias`, `imagen_destacada`, `icono`, `params`, `idioma`, `acceso`) VALUES (2, '{"es":"Rock","en":"Rock"}', '{"es":"Rock","en":"Rock"}', '{"es":"","en":""}', '', 1, '[""]', 0, '', '', '', '{"estilo":"","hijos_heredan_estilo":""}', '', 0);
INSERT INTO `#__musica_estilos_musica` (`id`, `nombre`, `alias`, `contenido`, `fecha`, `estado`, `padre`, `creador`, `creador_alias`, `imagen_destacada`, `icono`, `params`, `idioma`, `acceso`) VALUES (3, '{"es":"Punk","en":"Punk"}', '{"es":"Punk","en":"Punk"}', '{"es":"","en":""}', '', 1, '[""]', 0, '', '', '', '{"estilo":"","hijos_heredan_estilo":""}', '', 0);
INSERT INTO `#__musica_estilos_musica` (`id`, `nombre`, `alias`, `contenido`, `fecha`, `estado`, `padre`, `creador`, `creador_alias`, `imagen_destacada`, `icono`, `params`, `idioma`, `acceso`) VALUES (4, '{"es":"Metal","en":"Metal"}', '{"es":"Metal","en":"Metal"}', '{"es":"","en":""}', '', 1, '[""]', 0, '', '', '', '{"estilo":"","hijos_heredan_estilo":""}', '', 0);

SET FOREIGN_KEY_CHECKS=1;